org.apache.hc.client5.http.cookie

## Class CookieIdentityComparator

- java.lang.Object
- - org.apache.hc.client5.http.cookie.CookieIdentityComparator

All Implemented Interfaces:
  Serializable, Comparator<Cookie>

    @Contract(threading=STATELESS)
    public class CookieIdentityComparator
    extends Object
    implements Serializable, Comparator<Cookie>

This cookie comparator can be used to compare identity of cookies.

Cookies are considered identical if their names are equal and their domain attributes match ignoring case.

Since:
  4.0
See Also:
  Serialized Form

### Field Summary

Fields
`static CookieIdentityComparator` `INSTANCE` Default instance of `CookieIdentityComparator`.

### Constructor Summary

Constructors
Constructor and Description
`CookieIdentityComparator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare(Cookie c1, Cookie c2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Field Detail

#### INSTANCE

    public static final CookieIdentityComparator INSTANCE

Default instance of `CookieIdentityComparator`.

Since:
  5.2

### Constructor Detail

#### CookieIdentityComparator

    public CookieIdentityComparator()

### Method Detail

#### compare

    public int compare(Cookie c1,
                       Cookie c2)

Specified by:
  `compare` in interface `Comparator<Cookie>`